org.eclipse.emf.cdo.util

## Class ObjectNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.emf.cdo.common.util.CDOException
        - - org.eclipse.emf.cdo.util.ObjectNotFoundException

- All Implemented Interfaces:
    java.io.Serializable

      public class ObjectNotFoundException
      extends CDOException

  Exception occurs when an id doesn't exist on the server.
  Since:
    2.0
  Author:
    Simon McDuff
  See Also:
    Serialized Form
  No Extend
    This interface is not intended to be extended by clients.
  No Instantiate
    This class is not intended to be instantiated by clients.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectNotFoundException(CDOID id)`
    `ObjectNotFoundException(CDOID id, CDOBranchPoint branchPoint)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOBranchPoint` | `getBranchPoint()`
    `CDOID` | `getID()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectNotFoundException

          public ObjectNotFoundException(CDOID id)

    - #### ObjectNotFoundException

          public ObjectNotFoundException(CDOID id,
                                         CDOBranchPoint branchPoint)

      Since:
        3.0

  - ### Method Detail

    - #### getID

          public CDOID getID()

      Since:
        3.0

    - #### getBranchPoint

          public CDOBranchPoint getBranchPoint()

      Since:
        3.0

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html